=== debian/changelog ===
openrazer (3.2.0+dfsg-3) unstable; urgency=medium

  * Fix syntax in 0001-usb-hid-disabled-builds.patch. (Closes: #1002680)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Dec 2021 15:18:09 +0100

openrazer (3.2.0+dfsg-2) unstable; urgency=medium

  * Also check for CONFIG_USB_MODULE before to build dummy drivers.
      Thanks to Carlos Garcia Campos. (Closes: #1002530)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Dec 2021 10:59:47 +0100

openrazer (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Import and refresh Ubuntu patch: 0001-usb-hid-disabled-builds.patch
  * Update standards version to 4.6.0, no changes needed.
  * Remove debian/salsa-ci.yml, not used anymore.


 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Dec 2021 16:39:20 +0100

openrazer (3.1.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + openrazer-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Dylan Aïssi ]
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Aug 2021 20:58:38 +0200

openrazer (3.0.1+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Jun 2021 17:29:55 +0200
