## openrazer 3.4.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.2.0
+DKMS_VER?=3.4.0
 
 
 # Build all target
