=== debian/changelog ===
openrazer (3.4.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Sep 2022 16:11:03 -0700

openrazer (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Aug 2022 22:45:29 +0200

openrazer (3.3.0+dfsg-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Dylan Aïssi ]
  * Standards-Version: 4.6.1 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 22 Jul 2022 23:17:37 +0200

openrazer (3.3.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + openrazer-daemon: Drop versioned constraint on python3-daemonize in
      Depends.

  [ Dylan Aïssi ]
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Apr 2022 21:49:32 +0200
