=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: openrazer
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dkms,
+               dh-sequence-dkms,
                python3,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: openrazer-meta
 Architecture: all
-Depends: ${misc:Depends},
+Depends: openrazer-daemon (= ${binary:Version}),
          openrazer-driver-dkms (= ${binary:Version}),
-         openrazer-daemon (= ${binary:Version}),
-         python3-openrazer (= ${binary:Version})
+         python3-openrazer (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: openrazer-doc (= ${binary:Version})
 Description: OpenRazer peripheral drivers (metapackage)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
@@ -31,10 +33,7 @@
 Package: openrazer-driver-dkms
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends},
-         dkms,
-         udev
-# To avoid problem with old upstream deb packages
+Depends: dkms, udev, ${misc:Depends}
 Conflicts: openrazer-kernel-modules-dkms
 Provides: openrazer-kernel-modules-dkms
 Replaces: openrazer-kernel-modules-dkms
@@ -52,18 +51,18 @@
 
 Package: openrazer-daemon
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: dbus-user-session,
+         gir1.2-gtk-3.0,
          openrazer-driver-dkms (= ${binary:Version}),
+         python3-daemonize,
          python3-dbus,
          python3-gi,
+         python3-notify2,
          python3-pyudev,
          python3-setproctitle,
-         python3-notify2,
-         python3-daemonize (>= 2.4.0),
-         gir1.2-gtk-3.0,
          xautomation,
-         dbus-user-session
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-openrazer (= ${binary:Version})
 Description: OpenRazer peripheral drivers (daemon)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
@@ -76,12 +75,12 @@
 Package: python3-openrazer
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         openrazer-daemon (= ${binary:Version}),
+Depends: openrazer-daemon (= ${binary:Version}),
          python3-dbus,
          python3-gi,
-         python3-numpy
+         python3-numpy,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: OpenRazer peripheral drivers (Python 3)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
