=== debian/changelog ===
openrazer (3.5.1+dfsg-2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-32776: out-of-bounds read

 -- Adrian Bunk <bunk@debian.org>  Wed, 23 Apr 2025 22:45:05 +0300

openrazer (3.5.1+dfsg-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Re-enable Testsuite: autopkgtest-pkg-dkms.
  * Do not build the module for kernels without CONFIG_USB.

  [ Dylan Aïssi ]
  * Cherry-pick upstream patch to fix makefile.
  * Standards-Version: 4.6.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Feb 2023 17:07:01 +0100

openrazer (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 04 Dec 2022 22:20:59 +0100

openrazer (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 03 Dec 2022 10:50:19 +0100

openrazer (3.4.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:55 +0200

openrazer (3.4.0+dfsg-2) unstable; urgency=medium

  * Patch upstream makefile because of sysconfig default scheme
      changes (Closes: #1020039)
  * Disable d/p/0001-usb-hid-disabled-builds.patch for now
  * Disable Testsuite: autopkgtest-pkg-dkms (Closes: #1018789)
      Currently broken see #1019425

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Oct 2022 17:20:47 +0200
