=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: openrazer
-Maintainer: Terry Cain <terry@terrys-home.co.uk>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dkms,
+               dh-sequence-dkms,
                python3,
                python3-setuptools
-Standards-Version: 4.6.0
-Vcs-Browser: https://github.com/openrazer/openrazer/
-Vcs-Git: https://github.com/openrazer/openrazer.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/openrazer
+Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: openrazer-meta
 Architecture: all
@@ -33,15 +35,10 @@
 Depends: ${misc:Depends},
          dkms,
          udev
-Conflicts: razer-chroma-driver,
-           razer-kernel-modules-dkms,
-           openrazer-kernel-modules-dkms
-Provides: razer-chroma-driver,
-          razer-kernel-modules-dkms,
-          openrazer-kernel-modules-dkms
-Replaces: razer-chroma-driver,
-          razer-kernel-modules-dkms,
-          openrazer-kernel-modules-dkms
+# To avoid problem with old upstream deb packages
+Conflicts: openrazer-kernel-modules-dkms
+Provides: openrazer-kernel-modules-dkms
+Replaces: openrazer-kernel-modules-dkms
 Description: OpenRazer peripheral drivers (DKMS)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -54,7 +51,6 @@
  Please read the Troubleshooting Guide in
  /usr/share/doc/openrazer-driver-dkms/README.Debian.
 
-
 Package: openrazer-daemon
 Architecture: all
 Depends: ${misc:Depends},
@@ -65,14 +61,11 @@
          python3-pyudev,
          python3-setproctitle,
          python3-notify2,
-         python3-daemonize (>= 2.4.0),
+         python3-daemonize,
          gir1.2-gtk-3.0,
          xautomation,
-         dbus-session-bus
+         dbus-user-session
 Recommends: python3-openrazer (= ${binary:Version})
-Conflicts: razer-daemon
-Provides: razer-daemon
-Replaces: razer-daemon
 Description: OpenRazer peripheral drivers (daemon)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -90,9 +83,6 @@
          python3-dbus,
          python3-gi,
          python3-numpy
-Conflicts: python3-razer
-Provides: python3-razer
-Replaces: python3-razer
 Description: OpenRazer peripheral drivers (Python 3)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -104,9 +94,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Conflicts: razer-doc
-Provides: razer-doc
-Replaces: razer-doc
+Multi-Arch: foreign
 Description: OpenRazer peripheral drivers (documentation)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
