=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:
	echo "No need to clean DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_build:
	echo "No need to build DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_install:
	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp

override_dh_dkms:
	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf
