## openrazer 3.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,8 @@
 # Where kernel drivers are going to be installed
 MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid
 
-# Python dir
-PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
-
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=3.5.1
+DKMS_VER?=3.7.0
 
 
 # Build all target
@@ -59,14 +56,6 @@
 	@echo "====================================================="
 	@cp -v $(DRIVERDIR)/*.ko $(DESTDIR)/$(MODULEDIR)
 
-# Remove kernel modules
-driver_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer kernel modules\033[0m"
-	@echo "====================================================="
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerkbd.ko
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razermouse.ko
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerfirefly.ko
-
 # Razer Daemon
 daemon_install:
 	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
@@ -77,12 +66,6 @@
 	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
 	@echo "====================================================="
 	make --no-print-directory -C daemon ubuntu_install
-
-
-daemon_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer Daemon\033[0m"
-	@echo "====================================================="
-	make --no-print-directory -C daemon uninstall
 
 # Python Library
 python_library_install:
@@ -95,18 +78,10 @@
 	@echo "====================================================="
 	@make --no-print-directory -C pylib ubuntu_install
 
-python_library_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer python library\033[0m"
-	@echo "====================================================="
-	@make --no-print-directory -C pylib uninstall
-
 # Legacy XDG autostart
 xdg_install:
 	@mkdir -p $(DESTDIR)/etc/xdg/autostart
 	@cp -v ./install_files/desktop/openrazer-daemon.desktop $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop
-
-xdg_uninstall:
-	@rm -fv $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop
 
 install-systemd:
 	@make --no-print-directory -C daemon install-systemd
@@ -136,39 +111,16 @@
 	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)$(UDEV_PREFIX)/lib/udev/rules.d/99-razer.rules
 	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)$(UDEV_PREFIX)/lib/udev/razer_mount
 
-udev_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
-	@echo "====================================================="
-	rm -f $(DESTDIR)$(PREFIX)/lib/udev/rules.d/99-razer.rules $(DESTDIR)$(PREFIX)/lib/udev/razer_mount
-
-ubuntu_udev_install:
-	@echo -e "\n::\033[34m Installing OpenRazer udev rules\033[0m"
-	@echo "====================================================="
-	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)/lib/udev/rules.d/99-razer.rules
-	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)/lib/udev/razer_mount
-
-ubuntu_udev_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
-	@echo "====================================================="
-	rm -f $(DESTDIR)/lib/udev/rules.d/99-razer.rules $(DESTDIR)/lib/udev/razer_mount
-
 appstream_install:
 	@echo -e "\n::\033[34m Installing OpenRazer AppStream metadata\033[0m"
 	@echo "====================================================="
 	install -m 644 -v -D install_files/appstream/io.github.openrazer.openrazer.metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/io.github.openrazer.openrazer.metainfo.xml
 
-appstream_uninstall:
-	@echo -e "\n::\033[34m Uninstalling OpenRazer AppStream metadata\033[0m"
-	@echo "====================================================="
-	rm -f $(DESTDIR)$(PREFIX)/share/metainfo/io.github.openrazer.openrazer.metainfo.xml
-
 # Install for Ubuntu
 # WARNING: do not use this target manually, it is just meant for Debian packaging! Read the warning on top of the file!
-ubuntu_install: setup_dkms ubuntu_udev_install ubuntu_daemon_install ubuntu_python_library_install appstream_install
+ubuntu_install: setup_dkms udev_install ubuntu_daemon_install ubuntu_python_library_install appstream_install
 	@echo -e "\n::\033[34m Installing for Ubuntu\033[0m"
 	@echo "====================================================="
-	mv $(DESTDIR)$(PREFIX)/lib/python3.* $(DESTDIR)$(PREFIX)/lib/python3
-	mv $(DESTDIR)$(PREFIX)/lib/python3/site-packages $(DESTDIR)$(PREFIX)/lib/python3/dist-packages
 
 install_i_know_what_i_am_doing: all driver_install udev_install python_library_install
 	@make --no-print-directory -C daemon install DESTDIR=$(DESTDIR)
@@ -179,8 +131,4 @@
 	@echo "Please do not install the driver using this method. Use a distribution package as it tracks the files installed and can remove them afterwards. If you are 100% sure, you want to do this, find the correct target in the Makefile."
 	@echo "Exiting."
 
-uninstall: driver_uninstall udev_uninstall python_library_uninstall
-	@make --no-print-directory -C daemon uninstall DESTDIR=$(DESTDIR)
-
-
 .PHONY: driver
