=== debian/changelog ===
openrazer (3.7.0+dfsg-1ubuntu0.1) noble; urgency=medium

  * Support Linux 6.14 (LP: #2111339)
    - debian/patches/0001-razermouse-Fix-compilation-with-Linux-6.14.patch

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 20 May 2025 09:31:39 -0500

openrazer (3.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.7.0+dfsg
  * Delete more files with dh_clean (Closes: #1045284)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Nov 2023 15:47:09 +0100

openrazer (3.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.6.1+dfsg
  * Drop patch included in upstream release
  * Refresh patch
  * Define UDEV_PREFIX in debian/rules

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Jul 2023 22:34:03 +0200
