=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,10 @@
 	echo "DKMS modules are built at packages installation time."
 
 override_dh_auto_install:
-	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) ubuntu_install install-systemd \
+	     DESTDIR=$(CURDIR)/debian/tmp \
+	     UDEV_PREFIX="" \
+	     $(NULL)
 
 override_dh_dkms:
 	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf
