## openrazer 3.8.0+dfsg

=== debian/changelog ===
openrazer (3.8.0+dfsg-1parrot1) lory-updates; urgency=medium

  * Import new Debian Unstable release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 11 Oct 2024 20:22:01 +0200

openrazer (3.8.0+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 3.8.0+dfsg
  * Standards-Version: 4.7.0 (no changes required)

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files. (Closes: #1058835)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Apr 2024 09:56:34 +0200
