=== debian/changelog ===
openrazer (3.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.9.0+dfsg
  * Refresh debian/patches/skip-without-CONFIG_USB.patch

 -- Dylan Aïssi <daissi@debian.org>  Mon, 21 Oct 2024 15:22:52 +0200
