## openrazer 3.10.0%2Bdfsg

=== debian/changelog ===
openrazer (3.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.10.0+dfsg
  * Refresh skip-without-CONFIG_USB.patch
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2025 12:05:52 +0100
