=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: openrazer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-dkms,
+               pkgconf,
                python3,
-               python3-setuptools
-Standards-Version: 4.6.2
+               python3-setuptools,
+               systemd-dev,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
