=== debian/changelog ===
openrazer (3.10.1+dfsg-1deepin1) unstable; urgency=medium

  * New upstream release.

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 17 Mar 2025 15:46:01 +0800
