=== debian/changelog ===
openrazer (3.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.10.2+dfsg
    - Fix security issue: potential out of bounds read in matrix_custom_frame.
      See: GHSA-835j-6976-46jx

 -- Dylan Aïssi <daissi@debian.org>  Sat, 12 Apr 2025 11:42:11 +0200

openrazer (3.10.1+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 3.10.1+dfsg
  * Standards-Version: 4.7.2 (no changes required)

  [ Andreas Beckmann ]
  * More dkms.conf updates

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Mar 2025 13:54:18 +0100
