=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3,
                python3-setuptools,
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
