=== debian/changelog ===
openrazer (3.10.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 09:47:45 +0200

openrazer (3.10.3+dfsg-1) experimental; urgency=medium

  * New upstream version 3.10.3+dfsg
    - Fix FTBFS with linux >= 6.15 (Closes: #1106708).

 -- Dylan Aïssi <daissi@debian.org>  Fri, 30 May 2025 09:18:41 +0200
