=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
 
 %:
 	dh $@ --with python3
@@ -14,7 +15,7 @@
 override_dh_auto_install:
 	$(MAKE) ubuntu_install install-systemd \
 	     DESTDIR=$(CURDIR)/debian/tmp \
-	     UDEV_PREFIX="" \
+	     UDEVDIR=/$(deb_udevdir) \
 	     $(NULL)
 
 override_dh_dkms:
