## openrazer 3.11.0

=== debian/changelog ===
openrazer (3.11.0-0) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.11.0-0

 -- Luca Weiss <luca@lucaweiss.eu>  Mon, 27 Oct 2025 21:13:24 +0100

openrazer (3.10.3) noble; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v3.10.3

 -- Luca Weiss <luca@lucaweiss.eu>  Wed, 07 May 2025 21:00:47 +0200
